Katello - Bug #7252

katello-disconnected does not function behind a http proxy
08/25/2014 02:00 PM - Partha Aji

Status: Closed

Priority: Normal

Assignee: Mike McCune

Category: Web Ul

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1040112 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1040112
There are various places in the katello-disconnected codebase that do not properly include configuration options to support running
behind an http proxy.

This means that anyone using katello-disconnected to sync and setup content will not be able to utilize the tool until this bug is
resolved.

We need the following:
1) Configuration options for the 'katello-disconnected setup’' command. It will need:

1. katello-disconnected setup --help
Usage: setup [--option VALUE]
--host PULP_HOSTNAME Pulp host (default "localhost")

--proxy-url=PROXY_URL
--proxy-port=PROXY_PORT
--proxy-user=PROXY_USER

HTTP Proxy user (proxy username, if auth is required)
--proxy-pass=PROXY_PASS

HTTP Proxy pass (proxy password, if auth is required)

2) Update any network access calls to pass in the configuration options

History

#1 - 08/25/2014 02:29 PM - Eric Helms
- Target version set to 55
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 09/08/2014 08:14 AM - Eric Helms

- Target version changed from 55 to 56

#3 - 09/22/2014 02:43 PM - Eric Helms
- Status changed from New to Closed

- translation missing: en.field_release set to 13
